<?php

/*
////////////////////////////////////////////////////////////////////////////////
// JohnCMS                Mobile Content Management System                    //
// Project site:          http://johncms.com                                  //
// Support site:          http://gazenwagen.com                               //
////////////////////////////////////////////////////////////////////////////////
// Lead Developer:        Oleg Kasyanov   (AlkatraZ)  alkatraz@gazenwagen.com //
// Development Team:      Eugene Ryabinin (john77)    john77@gazenwagen.com   //
//                        Dmitry Liseenko (FlySelf)   flyself@johncms.com     //
////////////////////////////////////////////////////////////////////////////////
*/

defined('_IN_JOHNCMS') or die('Error: restricted access');
$headmod = 'forumfiles';
require('../incfiles/head.php');


$error = false;
if ($id) {
    /*
    -----------------------------------------------------------------
    Скачивание прикрепленного файла Форума
    -----------------------------------------------------------------
    */
	$type = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum` WHERE `id`= '$id'"));
	echo '<div class="phdr">'.$type['text'].' - fayllari</div>';

$req = mysql_query("SELECT * FROM `cms_forum_files` WHERE `topic` = '$id'");
    if (mysql_num_rows($req)) {
while (($res = mysql_fetch_assoc($req)) !== FALSE) {
                // Если обычный файл, выводим значок и ссылку
$icon = ($res['del'] ? '<img src="../images/del.png" width="16" height="16" />' : '') . '<img src="../images/system/' . $res['filetype'] . '.png" width="16" height="16" />&#160;';		
echo '<div class="menu">'.$icon.' <a href="index.php?act=file&amp;id='.$res['id'].'"><b>'.$res['filename'].'</b></a></div>';
		}
		} else {
        $error = true;
    }
    if ($error) {
        echo functions::display_error($lng['error_file_not_exist'], '<a href="index.php">' . $lng['to_forum'] . '</a>');
        require('../incfiles/end.php');
		exit;
    }
} else {
    header('location: index.php');
}
?>